summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yth - Arnaud2023-06-17 05:11:36 +0200
committer Willy Sudiarto Raharjo2023-06-17 12:18:58 +0200
commitf011dda2fa90236616f0ba971a1a00908e7f12f4 (patch)
tree4f1bb699545a7a57c1a368c03b53ecae3e41f84b
parentf9adb7eccf26c401bd849234ccccf1ff4e2b8feb (diff)
downloadslackbuilds-f011dda2fa90236616f0ba971a1a00908e7f12f4.tar.gz
office/focuswriter-qt6: Added (distraction-free word processor).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/focuswriter-qt6/README11
-rw-r--r--office/focuswriter-qt6/doinst.sh10
-rw-r--r--office/focuswriter-qt6/focuswriter-qt6.SlackBuild111
-rw-r--r--office/focuswriter-qt6/focuswriter-qt6.info10
-rw-r--r--office/focuswriter-qt6/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/office/focuswriter-qt6/README b/office/focuswriter-qt6/README
new file mode 100644
index 0000000000..ad5ea93f9b
--- /dev/null
+++ b/office/focuswriter-qt6/README
@@ -0,0 +1,11 @@
+FocusWriter is a fullscreen, distraction-free word processor designed
+to immerse you as much as possible in your work.
+The program autosaves your progress, and reloads the last files you
+had open to make it easy to jump back in during your next writing
+session, and has many other features that make it such that only one
+thing matters: your writing.
+
+This version of Focuswriter uses qt6, which is required for version
+above 1.7.6. If you do not want qt6, use the focuswriter SlackBuild
+which is stuck at 1.7.6.
+Both packages are mutually exclusive.
diff --git a/office/focuswriter-qt6/doinst.sh b/office/focuswriter-qt6/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/office/focuswriter-qt6/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/focuswriter-qt6/focuswriter-qt6.SlackBuild b/office/focuswriter-qt6/focuswriter-qt6.SlackBuild
new file mode 100644
index 0000000000..098281077d
--- /dev/null
+++ b/office/focuswriter-qt6/focuswriter-qt6.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+# Slackware build script for focuswriter-qt6
+
+# Copyright 2014 Scalzi Giuseppe Switzerland
+# Updated 2016 Morten Juhl-Johansen Zölde-Fejér
+# Copyright 2020 Isaac Yu <isaacyu@protonmail.com>
+# Copyright 2023 Yth | Pont-en-Royans, France | yth@ythogtha.org
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=focuswriter-qt6
+SRCNAM=focuswriter
+VERSION=${VERSION:-1.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake \
+ -B build \
+ -S . \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DENABLE_STRIP=ON \
+ -DCMAKE_BUILD_TYPE=Release
+cmake --build build
+DESTDIR=$PKG cmake --install build
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/focuswriter-qt6/focuswriter-qt6.info b/office/focuswriter-qt6/focuswriter-qt6.info
new file mode 100644
index 0000000000..0ba3fe2c65
--- /dev/null
+++ b/office/focuswriter-qt6/focuswriter-qt6.info
@@ -0,0 +1,10 @@
+PRGNAM="focuswriter-qt6"
+VERSION="1.8.4"
+HOMEPAGE="https://gottcode.org/focuswriter/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://gottcode.org/focuswriter/focuswriter-1.8.4.tar.bz2"
+MD5SUM_x86_64="a1078be32a5b0f8a01e000fbe52a195a"
+REQUIRES="qt6"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/office/focuswriter-qt6/slack-desc b/office/focuswriter-qt6/slack-desc
new file mode 100644
index 0000000000..81d428c61a
--- /dev/null
+++ b/office/focuswriter-qt6/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+focuswriter-qt6: focuswriter-qt6 (distraction-free word processor)
+focuswriter-qt6:
+focuswriter-qt6: FocusWriter is a fullscreen, distraction-free word processor designed
+focuswriter-qt6: to immerse you as much as possible in your work.
+focuswriter-qt6: The program autosaves your progress, and reloads the last files you
+focuswriter-qt6: had open to make it easy to jump back in during your next writing
+focuswriter-qt6: session, and has many other features that make it such that only one
+focuswriter-qt6: thing matters: your writing.
+focuswriter-qt6:
+focuswriter-qt6: http://gottcode.org/focuswriter/
+focuswriter-qt6: This is the newer version, built against qt6.